HDAPSD(8)

NAME
hdapsd - park the drive in case of an emergency

SYNOPSIS
hdapsd [-f|-d <device>|-s <sensitivity>|-a|-v|-b|-p|-t|-y|-l|-V|-h]

OPTIONS

-d --device=<device>
    <device> is likely to be hda or sda. Can be given multiple times to protect multiple devices.

-f --force
    Force unloading heads, even if kernel thinks different (on pre ATA7 drives). This only works when adding devices by hand (-d).

-s --sensitivity=<sensitivity>
    How sensitive hdapsd should be to movements. Defaults to 15, higher values mean less sensitive.

-a --adaptive
    Adaptive threshold (automatic increase when the built-in keyboard/mouse are used).

-v --verbose
    Get verbose statistics.

-b --background
    Run the process in the background.

-p --pidfile[=<pidfile>]
    Create a pid file when running in background. If <pidfile> is not specified, it's set to /var/run/hdapsd.pid.

-t --dry-run
    Don't actually park the drive.

-y --poll-sysfs
    Force use of sysfs interface to accelerometer.

-l --syslog
    Log to syslog instead of stdout/stderr.

-V --version
    Display version information and exit.

-h --help
    Display help and exit.

You can send SIGUSR1 to deactivate hdapsd for 8 seconds.